Package com.verisign.epp.codec.launch

## Class EPPLaunchInfo

- java.lang.Object
- - com.verisign.epp.codec.launch.EPPLaunchInfo

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPLaunchInfo
      extends java.lang.Object
      implements EPPCodecComponent

  Extension to the domain info command to retrieve information for a launch phase registration or application.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | Constant for the launch phase info extension local name
    `static java.lang.String` | `ELM_NAME` | Constant for the launch phase info extension tag

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLaunchInfo()` | Create an EPPLaunchInf instance
    `EPPLaunchInfo​(EPPLaunchPhase aPhase)` | Create a `EPPLaunchInfo` instance with the required phase attribute value.
    `EPPLaunchInfo​(EPPLaunchPhase aPhase, java.lang.String aApplicationId)` | Create a `EPPLaunchInfo` instance with both the required phase and optional application identifier attribute values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPLaunchInfo`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the DOM element to the `EPPLaunchInfo`.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode the `EPPLaunchInfo` to a DOM Element
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPLaunchInfo` compare.
    `java.lang.String` | `getApplicationId()` | Gets the application identifier of the launch application.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPLaunchPhase` | `getPhase()` | Gets phase during which the application or registration was submitted or is associated with.
    `boolean` | `isIncludeMark()` | Get the flag indicating whether or not to include the mark in the response.
    `void` | `setApplicationId​(java.lang.String aApplicationId)` | Sets the application identifier of the launch application.
    `void` | `setIncludeMark​(boolean aIncludeMark)` | Sets the flag for indicating whether or not to include the mark in the response.
    `void` | `setPhase​(EPPLaunchPhase aPhase)` | Sets the phase during which the application or registration was submitted or is associated with.
    `void` | `setPhase​(java.lang.String aPhaseString)` | Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the launch phase info extension local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the launch phase info extension tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchInfo

          public EPPLaunchInfo()

      Create an EPPLaunchInf instance

    - #### EPPLaunchInfo

          public EPPLaunchInfo​(EPPLaunchPhase aPhase)

      Create a `EPPLaunchInfo` instance with the required phase attribute value.
      Parameters:
        `aPhase` - Phase during which the application or registration was submitted or is associated with

    - #### EPPLaunchInfo

          public EPPLaunchInfo​(EPPLaunchPhase aPhase,
                               java.lang.String aApplicationId)

      Create a `EPPLaunchInfo` instance with both the required phase and optional application identifier attribute values.
      Parameters:
        `aPhase` - Phase during which the application or registration was submitted or is associated with
        `aApplicationId` - Application identifier of the launch application

  - ### Method Detail

    - #### getPhase

          public EPPLaunchPhase getPhase()

      Gets phase during which the application or registration was submitted or is associated with.
      Returns:
        phase during which the application or registration was submitted or is associated with if defined; `null` otherwise.

    - #### setPhase

          public void setPhase​(EPPLaunchPhase aPhase)

      Sets the phase during which the application or registration was submitted or is associated with.
      Parameters:
        `aPhase` - Phase during which the application or registration was submitted or is associated with

    - #### setPhase

          public void setPhase​(java.lang.String aPhaseString)

      Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
      Parameters:
        `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

    - #### getApplicationId

          public java.lang.String getApplicationId()

      Gets the application identifier of the launch application.
      Returns:
        Application identifier if defined; `null` otherwise.

    - #### setApplicationId

          public void setApplicationId​(java.lang.String aApplicationId)

      Sets the application identifier of the launch application.
      Parameters:
        `aApplicationId` - Application identifier of the launch application

    - #### isIncludeMark

          public boolean isIncludeMark()

      Get the flag indicating whether or not to include the mark in the response.
      Returns:
        `true` to include the mark; `false` otherwise.

    - #### setIncludeMark

          public void setIncludeMark​(boolean aIncludeMark)

      Sets the flag for indicating whether or not to include the mark in the response.
      Parameters:
        `aIncludeMark` - `true` to include the mark; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLaunchInfo`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPLaunchInfo`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode the `EPPLaunchInfo` to a DOM Element
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the DOM element to the `EPPLaunchInfo`.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - DOM Element to decode the attribute values
      Throws:
        `EPPDecodeException` - Error decoding the DOM Element

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPLaunchInfo` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPLaunchInfo` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.